Package com.ericsson.otp.erlang

## Class OtpErlangRangeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ericsson.otp.erlang.OtpException
      - - com.ericsson.otp.erlang.OtpErlangException
        - - com.ericsson.otp.erlang.OtpErlangRangeException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class OtpErlangRangeException
      extends OtpErlangException

  Exception raised when an attempt is made to create an Erlang term with data that is out of range for the term in question.
  See Also:
    `OtpErlangByte`, `OtpErlangChar`, `OtpErlangInt`, `OtpErlangUInt`, `OtpErlangShort`, `OtpErlangUShort`, `OtpErlangLong`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OtpErlangRangeException​(java.lang.String msg)` | Provides a detailed message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OtpErlangRangeException

          public OtpErlangRangeException​(java.lang.String msg)

      Provides a detailed message.